/* GENERAL TAGS */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html, body, main {
  width: 100%;
  height: 100%;
  overflow-x: hidden;
}
body {
  background-color: #f2f2f2;
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
  position: relative;
}
h1 {
  font-family: 'Exo', sans-serif;
  font-size: 1em;
  font-weight: 400;
}
h2 {
  font-family: 'Exo', sans-serif;
  font-size: 32px;
  font-weight: 400;
  text-align: center;
  color: #9E2021;
}
h3 {
  font-family: 'Exo', sans-serif;
  font-size: 24px;
  text-align: center;
  color: #9E2021;
  margin-top: 50px;
}
h4 {
  color: #9E2021;
  margin-top: 15px;
  font-size: 1em;
}
p {
  font-size: 16px;
  font-weight: 400;
  text-align: justify;
  padding: 50px 50px 0px 50px;
}
a {
  font-family: 'Exo', sans-serif;
  color: #9E2021;
}
a:hover {
  color: #fff;
  text-decoration: none;
}
a.active {
  color: #fff;
  background-color: #9e2021;
  border-radius: 5px;
  padding: 10px;
}
form {
  padding: 50px;
}
label {
  /* font-family: 'Montserrat', sans-serif; */
  font-size: 16px;
}
:focus {
  border: solid 2px orange;
  outline: orange;
}
.container-fluid {
  padding: 0;
}

/* BUTTONS */

.btn-hire {
  text-align: center !important;
  font-family: 'Montserrat', sans-serif;
  font-size: 20px;
  font-weight: 500;
  background: #6C943E !important;
  border: solid 2px #fff;
  border-radius: 10px;
  padding: 15px 20px;
  margin: 20px auto 20px auto; 
  color: #fff;
  box-shadow: 0 0 30px #757575;
  animation: hire-animation 12s ease 0s;
}
@keyframes hire-animation {
  0% {
    transform: translateX(-5000px);
  }
  80% {
    transform: translateX(-5000px);
  }
  100% {
    transform: translateX(0);
  }
}
.btn-hire:hover {
  background: #1E7F3F !important;
  box-shadow: 0 0 10px #757575;
  transition: all 1s ease;
}
.btn-primary {
  text-align: center !important;
  font-family: 'Montserrat', sans-serif;
  font-size: 20px;
  font-weight: 500;
  background: #9e2021;
  border: solid 2px #fff;
  border-radius: 10px;
  margin: 1em auto 1em auto;
  padding: 20px 30px;
  color: #fff;
  box-shadow: 0 0 30px #757575;
}
.btn-primary:hover {
  background: #9e2021;
  border: solid 2px #fff;
  border-radius: 10px;
  box-shadow: 0 0 1px #757575;
  transition: all 1s ease;
}
.btn-primary:active {
  background: #bd3e3e;
}
.btn-primary:focus {
  border: solid 2px orange !important;
  outline: orange !important;
  box-shadow: none;
}
.btn-link {
  text-decoration: none;
  color: #fff;
}
.btn-link:hover {
  cursor: pointer;
  color: #fff;
  text-decoration: none;
}

/* HERO IMAGE */

.hero-image {
  width: 100%;
  height: 100vh;
  background-image: url("../img/matrix-small.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: top;
  background-attachment: fixed;
  margin-top: 0;
  margin-left: 0;
  position: relative;
}
.profilepicture {
  width: 100px;
  overflow: hidden;
  height: 100%;
  margin: 0px auto;
  animation: animateAvatar 13s ease-out 0s;
}
@keyframes animateAvatar {
  0% {
    transform: translateY(-5000px);
    filter: blur(100px);
  }
  80% {
    transform: translateY(-5000px);
    filter: blur(100px);
  }
  100% {
    transform: translateY(0);
    filter: blur(0);
  }
}

.avatar {
  background-image: url("../img/anna-web-developer1.jpg");
  background-position: center;
  background-size: cover;
  height: 100px;
  border-radius: 50%;
  margin-bottom: 1em;
}
.hero-text {
  color: #fff;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(0, 0, 0, 0.5);
  padding: 1em;
  box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.5);
  width: 100%;
  min-width: 50%;
}
h2.hero-heading {
  color: #fff;
  font-size: 28px;
}

h4.hero-heading {
  color: #fff;
  font-size: 1em;
}
.border-top {
  border: solid 1px #fff;
  margin-left: 20%;
  margin-right: 20%;
  margin-top: 30px;
  animation: animateBorder 14s ease 0s;
}
@keyframes animateBorder {
  0% {
    width: 0%;
    border: none;
  }
  80% {
    width: 0%;
    border: solid 1px #fff;
  }
  100% {
    width: auto;
  }
}
.quote {
  font-family: 'Montserrat', cursive;
  font-style: italic;
  text-align: center;
  color: #fff;
  margin-top: 1em;
}
.white {
  color: #fff;
}
.author {
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: bold;
}

.scroll {
  color: #fff;
  text-align: center;
  top: 90%;
  position: relative;
  display: none;
}
.scroll-text {
  text-align: center;
  margin-top: -50px;
}
/* MAIN MENU  */

#header {
  width: 100%;
  height: 60px;
  background-color: #fff;
  box-shadow: 5px 5px 5px #d2d2d2;
}
.title {
  font-family: 'Exo', sans-serif;
  font-size: 1em;
  font-weight: 400;
  margin-left: 48px;
  margin-top: -38px;
}
#nav-main {
  top: 0;
  box-shadow: 5px 5px 5px #d2d2d2;
}
.navbar {
  background-color: #f2f2f2 !important;
  width: 100%;
  height: 60px;
  z-index: 1;
}
.navbar-brand {
  width: 40px;
  margin-left: -5px;
}
.nav-item, .nav-link {
  font-family: 'Exo', sans-sans-serif;
  font-size: 26px;
  font-weight: 400;
  text-transform: uppercase;
  color: #9E2021;
  margin-right: 20px;
  margin-left: 20px;
  border-radius: 5px;
  padding: 10px;
}
.nav-item:hover, .nav-link:hover {
  background-color: #9E2021;
  color: #fff;
  cursor: pointer;
  padding: 10px;
}
.nav-item.active, .nav-link.active {
  background-color: #9E2021 !important;
  margin-right: 20px !important;
  margin-left: 20px !important;
  padding: 10px !important;
  color: #fff;
}
.main-menu {
  display: block;
  width: 210px;
}
.nav-pills {
  position: absolute;
  width: 250px;
  display: block;
  top: 0;
  right: 60px;
  background-color: #fff;
  transform: translateX(1000px, 0);
  -webkit-transform: translate(1000px, 0);
  transition: all 0.5s ease;
  overflow: hidden;
}
.open {
  transform: translate(0, 0);
}
.fix-menu {
  position: fixed;
}
.wrapper {
  width: 100%;
  max-width: 1212px;
  margin: 0px auto;
  box-shadow: 5px 5px 5px #e2e2e2 !important;
  border-left: solid 1px #e2e2e2 !important;
  background-color: rgba(242, 242, 242, 0.95);
}

.heading {
  text-align: center;
  padding: 30px;
  color: #9E2021;
  background-color: rgba(255, 255, 255, 0.9);
  border-bottom: solid 1px;
  font-size: 2em;
}
.sticky {
  top: 0;
  width: 100%;
  position: fixed;
}
.fa-bars {
  color: #757575;
}
.fa-bars:hover {
  color: #000;
}

/* SECTION ABOUT  */
.no-background {
  background-color: rgba(0, 0, 0, 0);
  box-shadow: 0 0 0 rgba(0, 0, 0, 0) !important;
}
.center {
  text-align: center;
}
.about-container {
  justify-content: center;
}
.about-heading {
  text-align: center;
  color: #9e2021;
  padding: 50px;
}
.about-card {
  margin: 1em;
  padding: 1em;
  box-shadow: 0 0 30px #757575;
  max-width: 80%;
  background-color: #fff;
}
.about-card:hover {
  cursor: pointer;
  box-shadow: 0 0 10px #757575;
  transition: all 1s ease;
}
.fa-mobile {
  margin-top: 0 !important;
}
.fa-6x {
  font-size: 80px !important;
  margin-top: 30px;
}
.wifi-off {
  font-size: 80px !important;
  margin-top: 22px;
}
.about-title {
  text-align: center;
  margin-top: 30px;
  font-size: 2em;
  color: #9e2021;
}
.about-description {
  text-align: center;
  padding: 1em;
}

/* SECTION SKILLS */
 
.slideshow {
	margin: 0 auto;
	height: 350px;
	width: 100%;
	background-color: #f2f2f2;
	box-sizing: border-box;
}
.skills-container {
	margin: auto;
	width: 190px;
	perspective: 1000px;
	position: relative;
	padding-top: 80px;
}
.skills-carousel {
	width: 100%;
	position: absolute;
	float: right;
	animation: skills-animate 30s infinite linear;
	transform-style: preserve-3d;
}
.skills-carousel:hover {
	animation-play-state: paused;
	cursor: pointer;
}
.skills-carousel figure {
	width: 100%;
	height: 120px;
	border: 1px solid #3b444b;
	overflow: hidden;
	position: absolute;
}
.skills-carousel figure:nth-child(1) {
	transform: rotateY(0deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(2) {
	transform: rotateY(27.69deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(3) {
	transform: rotateY(55.59deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(4) {
	transform: rotateY(83.28deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(5) {
	transform: rotateY(110.97deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(6) {
	transform: rotateY(138.66deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(7) {
	transform: rotateY(166.35deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(8) {
	transform: rotateY(194.04deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(9) {
	transform: rotateY(221.73deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(10) {
	transform: rotateY(249.42deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(11) {
	transform: rotateY(277.11deg) translateZ(400px); 
} 
.skills-carousel figure:nth-child(12) {
	transform: rotateY(304.08deg) translateZ(400px); 
}
.skills-carousel figure:nth-child(13) {
	transform: rotateY(332.49deg) translateZ(400px); 
}
.skills-slide {
    position: absolute;
    box-shadow: 0px 0px 20px 0px #757575;
    border-radius: 1px;
    background-color: #f2f2f2;
}
.skills-carousel img {
	image-rendering: auto;
	transition: all 300ms;
	width: 80%;
	height: 80%;
  filter: grayscale(100%);
  margin-top: 12px;
  margin-left: 19px;
}
.skills-carousel img:hover {
	transform: scale(1.2);
  transition: all 300ms;
}
.skills-logo {
  object-fit: contain;
}
@keyframes skills-animate {
	from {
		transform: rotateY(0deg);
	} to {
		transform: rotateY(360deg);
	}
}

/* PORTFOLIO SECTION */

.tab-menu {
  font-size: 18px;
}
li.tab-item {
  font-family: 'Exo', sans-sans-serif;
  font-size: 26px;
  font-weight: 400;
  text-transform: uppercase;
  color: #9E2021;
  margin-right: 20px !important;
  margin-left: 20px !important;
  padding: 10px !important;
  border-radius: 5px;
}
.tab-link:hover {
  background-color: #9E2021;
  color: #fff;
  cursor: pointer;
}
.category-nav {
  padding-top: 30px;
  padding-bottom: 30px;
}
.nav-tabs {
  border: none;
}
.thumbnail-container {
  position: relative;
  width: 100%;
}
.thumbnail {
  width: 100%;
  margin: 4px auto;
  border: solid 1px #000;
}
.thumbnail:hover {
  cursor: pointer;
  opacity: 0.8;
  transform: scale(0.9);
  transition: transform 2s ease;
  box-shadow: 5px 5px 15px #b2b2b2;
}
.thumbnail-title {
  color: #fff;
  margin-top: -2em;
  background-color: rgba(0, 0, 0, 0.8);
  font-size: 2em;
  padding-left: 1em;
}
.modal {
  overflow: auto;
}
.modal-dialog {
  max-width: 835px;
  z-index: 100000;
}
.modal-image {
  width: 100%;
}
.body-details {
  width: 100%;
  padding: 20px 0 0 0;
}
/* CONTACT SECTION */

.col {
  border-radius: 10px;
  border: 1px #9E2021;
  padding: 10px;
}
.form-control::placeholder {
  font-family: "Montserrat", sans-serif;
  font-size: 14px;
  font-style: italic;
}
.text-muted {
  font-size: 13px;
}
.form-control-lg:focus {
  border: solid 1px #d2d2d2 !important;
  box-shadow: 0px 0px 0px #d2d2d2;
}
.form-group {
  text-align: center;
}
.contact-details {
  margin-top: -100px;
}

/* FLOAT MENU */

.float-menu {
  list-style-type: none;
  position: fixed;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  z-index: 100000;
}
.fa-linkedin-in, .fa-codepen, .fa-github {
  color: #fff;
  background-color: rgba(0, 0, 0, 0.8);
  margin-top: 5px;
  padding: 10px;
}
.fa-fw {
  width: 50px !important;
  height: 50px;
}
.fa-fw:hover {
  cursor: pointer;
  width: 70px !important;
  transition-duration: 0.5s;
  transition-property: width;
  transition-timing-function: ease;
}
/* FOOTER */

.footer {
  width: 100%;
  background-color: #9e2021;
  color: #fff;
}
.copyright {
  text-align: center;
  margin-top: 2em;
  padding: 1em;
}